@CHARSET "UTF-8";

html,body {
	height: 100%;
}

body {
	padding: 0;
	margin: 0;
	font-family:Microsoft YaHei;
    font-size: 28px;
}

h1 {
	color: #000;
	font-size: 25px;
	margin-top: 10px;
	padding-top: 20px;
	display: block;
	text-align: center;
	text-decoration: none;
	font-weight: 100;
}

.btn {
	outline: none;
	cursor: pointer;
	-webkit-tap-highlight-color:rgba(0,0,0,0);
	user-select: none;
	-webkit-user-select: none;
}

.btn-keyboard {
    width:  27%;
    height: 4rem;
    font-size: 28px;
    color: #666;
    border-radius: 0.5rem;
    border: 1px solid #a0a0a0;
    background-color: #f5f5f5;
}

.btn-keyboard:active {
	background-color: #C5C4C4;
    border-color: #C5C4C4;
}

.btn-row-margin {
	margin: 10px 0;
}

.btn-row-margin:first-child {
	margin-top: 20px;
}

.btn-row-margin:last-child {
	margin-bottom: 20px;
}

.calculator {
	position: absolute;
    width: 97%;
    border: 1px solid #F2F2F2;
    border-radius: 0.5rem;
    bottom: 10px;
}

.calculator div {
	width: 100%;
}

.display {
	outline: none;
	background-color: #39a8f7;
	color: #fff;
	font-size: 30px;
	height: 3.5rem;
	text-align: center;
	width: 45%;
	margin-top: 0.5rem;
	border-radius: 0.5rem;
	border: 0px;
}

.loading {
	width: 300px;
    height: 300px;
    background: url(https://cdn.china-nasdaq.com/vmpay/images/loading.gif) no-repeat;
}

.loading-content {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 19999999;
	display: flex;
	display: -webkit-flex;
	justify-content: center;
	align-items: center;
}

.loading-shade {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: #000;
    opacity: 0.7;
    z-index: 19999998;
}

.flex-column-keyboard {
	display: flex;
	display: -webkit-flex;
	justify-content: space-between;
	align-items: center;
	flex-direction: column;
}

.keyboard {
	position: absolute;
	top: 0;
	left: 0;
	height: 100%;
	border-top: 1px #F2F2F2 solid;
}

p {
	font-size: 28px;
}

.wrapper {
	max-width: 100%;
	min-height: 100%;
}

.flex-column {
	display: flex;
	display: -webkit-flex;
	justify-content: space-around;
	align-items: center;
	flex-direction: column;
}

.flex-row {
	display: flex;
	display: -webkit-flex;
	justify-content: space-around;
	align-items: center;
	flex-direction: row;
	flex-wrap: wrap;
}

.full {
	width: 100%;
}

.btn-two {
	width: 40%;
}

.content {
	padding: 8% 0;
	max-width: 100%;
}

.result {
	width: 90%;
	position: absolute;;
	left: 5%;
	top: 4%;
	z-index: 1;
}

.radius {
	border-radius: 20px;
}

.bg-gray {
	background-color: #F0EDED;
}

.bg-default {
	background-color: #FFFFFF;
}

.bg-blue {
	background-color: #0DA1EB;
}

.bg-green {
	background-color: #84F22C;
}

.bg-orange {
	background-color: #FC8140;
}

.bg-orange-gradient {
	background: linear-gradient(#f9a97b, #da4f05, #f9a97b);
	background: -webkit-linear-gradient(#f9a97b, #da4f05, #f9a97b);
}

.bg-blue-gradient {
	background: linear-gradient(#41eae3, #068fd4, #41eae3);
	background: -webkit-linear-gradient(#41eae3, #068fd4, #41eae3);
}

.bg-green-gradient {
	background: linear-gradient(#6cec64, #4fa70a, #6cec64);
	background: -webkit-linear-gradient(#6cec64, #4fa70a, #6cec64);
}

.green {
	color: #03e612;
}

.red {
	color: #FD0308;
}

.blue {
	color: #0DBBE4;
}

.goods-image img {
	width: 40%;
}

.goods {
	height: 100%;
	width: 100%;
	position: absolute;
	left: 0;
	top: 0;
	z-index: 1;
	padding: 0;
	background: #fff url('../images/goods_bg.jpg') no-repeat;
	background-size: 100% 100%;
}

.goods p {
	font-size: 20px;
}

.goods-detail {
	width: 72%;
	position: relative;
	user-select: none;
	-webkit-user-select: none;
	-ms-user-select:none;
	pointer-events: none;
}

.goods-detail span {
	font-size: 12px;
	text-align: center;
	color: #2e8cb1;
}

.button-circle.btn-size {
	width: 70px;
	line-height: 70px;
	height: 70px;
	font-size: 28px;
}

.foot {
	width: 100%;
	position: absolute;
	bottom: 0;
}

.foot-btn {
	width: 90%;
}

.foot-btn button {
	margin-bottom: 15px;
}

.foot-btn button:first-child {
	/*margin-top: 30px;*/
}

.rack {
	box-shadow: 4px -1px 5px 1px #6C6C6C;
	-webkit-box-shadow: 4px -1px 5px 1px #6C6C6C;
}

.rack .rack-title {
	font-size: 10px;
	text-align: center;
	color: white;
	width: 100%;
	opacity: 0.9;
}

.row-split {
	width: 100%;
	height: 10px;
	border: 1px solid #DEDEDE;
	box-shadow: 0 5px 10px 2px #6C6C6C;
	-webkit-box-shadow: 0 5px 10px 2px #6C6C6C;
	margin-bottom: 10px;
}

.hidden {
	display: none !important;
}

.hasBanner.flex-column-keyboard{
	position: unset !important;
}

.hasBanner .calculator {
	position: unset !important;
}

.hasBanner .btn-row-margin {
	margin: 0.2rem 0;
}

.hasBanner .btn-row-margin:first-child {
	margin-top: 0.5rem;
}

.hasBanner .btn-row-margin:last-child {
	margin-bottom: 0.5rem;
}

.hasBanner .btn-keyboard {
	width:  32%;
}

.hasBanner h1 {
	padding-top: 0px;
	font-size: 20px;
	margin-top: 5px;
	margin-bottom: 5px;
}

@media (max-width: 321px) {
	.button-circle.btn-size {
		width: 60px;
		line-height: 60px;
		height: 60px;
		font-size: 24px;
	}
}